GuideLab Docs

Configure Microsoft 365 calendar and outgoing email

PUT
/integrations/microsoft-365

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/integrations/microsoft-365" \  -H "Content-Type: application/json" \  -d '{    "calendarEnabled": true,    "emailEnabled": true,    "calendarId": "string"  }'
{  "id": "string",  "isConfigured": true,  "isConnected": true,  "accountEmail": "string",  "settings": {    "calendarEnabled": true,    "emailEnabled": true,    "calendarId": "string",    "inboxEnabled": true  },  "calendarName": "string",  "isSwitchingCalendar": true,  "lastSweepAt": "string",  "lastSuccessAt": "string",  "lastError": "string",  "pendingEvents": 0,  "failedEvents": 0,  "inboxConsentMissing": true,  "inbox": {    "status": "string",    "statusMessage": "string"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}